Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.io
Interface ByteArrayDataInput

All Superinterfaces:
  DataInput

    public interface ByteArrayDataInput

extends DataInput

An extension of `DataInput` for reading from in-memory byte arrays; its methods offer identical functionality but do not throw `IOException`. If any method encounters the end of the array prematurely, it throws `IllegalStateException`.

Since:
  1.0
Author:
  Kevin Bourrillion

Method Summary
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`String` | `readLine()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`String` | `readUTF()`
`int` | `skipBytes(int n)`

Method Detail

### readFully

    void readFully(byte[] b)

  Specified by:
    `readFully` in interface `DataInput`

### readFully

    void readFully(byte[] b,
                   int off,
                   int len)

  Specified by:
    `readFully` in interface `DataInput`

### skipBytes

    int skipBytes(int n)

  Specified by:
    `skipBytes` in interface `DataInput`

### readBoolean

    boolean readBoolean()

  Specified by:
    `readBoolean` in interface `DataInput`

### readByte

    byte readByte()

  Specified by:
    `readByte` in interface `DataInput`

### readUnsignedByte

    int readUnsignedByte()

  Specified by:
    `readUnsignedByte` in interface `DataInput`

### readShort

    short readShort()

  Specified by:
    `readShort` in interface `DataInput`

### readUnsignedShort

    int readUnsignedShort()

  Specified by:
    `readUnsignedShort` in interface `DataInput`

### readChar

    char readChar()

  Specified by:
    `readChar` in interface `DataInput`

### readInt

    int readInt()

  Specified by:
    `readInt` in interface `DataInput`

### readLong

    long readLong()

  Specified by:
    `readLong` in interface `DataInput`

### readFloat

    float readFloat()

  Specified by:
    `readFloat` in interface `DataInput`

### readDouble

    double readDouble()

  Specified by:
    `readDouble` in interface `DataInput`

### readLine

    String readLine()

  Specified by:
    `readLine` in interface `DataInput`

### readUTF

    String readUTF()

  Specified by:
    `readUTF` in interface `DataInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.